
Foreman - Refactor #13697

Remove json gem

02/14/2016 06:32 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Packaging   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3177

  

Description

JSON is in the ruby stdlib since 1.9, no need to bundle the json gem.

For more info see: http://www.mikeperham.com/2016/02/09/kill-your-dependencies/#die-json-die-german-for-the-json-the

Related issues:

Related to Foreman - Refactor #9553: remove dump_in_quirks_mode Closed 02/25/2015

Associated revisions

Revision 39bb8e39 - 02/15/2016 10:46 AM - Tomer Brisker

Fixes #13697 - Remove json from gemfile

JSON is included in Ruby stdlib >= 1.9

Revision 203e3934 - 02/16/2016 08:04 AM - Dominic Cleal

refs #13697 - remove explicit json dependency

History

#1 - 02/14/2016 06:54 AM - Tomer Brisker

- Related to Refactor #9553: remove dump_in_quirks_mode added

#2 - 02/14/2016 06:58 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3177 added

#3 - 02/15/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 39bb8e39a3079a6df06bc158aecb5198be604451.

#4 - 02/16/2016 09:07 AM - Dominic Cleal

- translation missing: en.field_release set to 71
